The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Apache Update error

Discussion in 'EasyApache' started by Dark_Angel, Dec 5, 2007.

  1. Dark_Angel

    Dark_Angel Registered

    Joined:
    Feb 23, 2006
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    1
    Hi,

    Apache s 3-4 time upgrade but everytime to state a error to oppose and to me and what happen. can you help me please. thanks

    Code:
    /usr/local/apache/bin/httpd: error while loading shared libraries: libiconv.so.2: cannot open shared object file: No such file or directory
    apxs:Error: Sorry, no shared object support for Apache.
    apxs:Error: available under your platform. Make sure.
    apxs:Error: the Apache module mod_so is compiled into.
    apxs:Error: your server binary `/usr/local/apache/bin/httpd'..
    !! '/usr/local/apache/bin/apxs -i -a -c ../mod_auth_passthrough.c' failed with exit code '256' !!
    !! Restoring original working apache !! 
    !! Executing '/scripts/initfpsuexec' !!
    !! Executing '/scripts/initsslhttpd' !!
    Use of uninitialized value in numeric eq (==) at /var/cpanel/perl/easy/Cpanel/Easy/Utils/Report.pm line 77.
    Use of uninitialized value in numeric eq (==) at /var/cpanel/perl/easy/Cpanel/Easy/Utils/Report.pm line 78.
    Use of uninitialized value in numeric eq (==) at /var/cpanel/perl/easy/Cpanel/Easy/Utils/Report.pm line 78.
    Use of uninitialized value in numeric eq (==) at /var/cpanel/perl/easy/Cpanel/Easy/Utils/Report.pm line 78.
    Compiling report...
    Sending report (712 bytes)...
    
     
  2. internetfab

    internetfab Well-Known Member
    PartnerNOC

    Joined:
    Feb 20, 2003
    Messages:
    336
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Gothenburg, Sweden
    cPanel Access Level:
    DataCenter Provider
    Getting the same errors.. Trying to upgrade an apache 1.3 box to apache 2.2. Downloaded and installed libiconv as well.
     
  3. csepulveda

    csepulveda Member

    Joined:
    Dec 7, 2007
    Messages:
    6
    Likes Received:
    0
    Trophy Points:
    1
    I get the same error.
     
  4. cPanelKenneth

    cPanelKenneth cPanel Development
    Staff Member

    Joined:
    Apr 7, 2006
    Messages:
    4,458
    Likes Received:
    22
    Trophy Points:
    38
    cPanel Access Level:
    Root Administrator
    We issued a new build of EasyApache 3 yesterday that should resolve those problems.
     
  5. internetfab

    internetfab Well-Known Member
    PartnerNOC

    Joined:
    Feb 20, 2003
    Messages:
    336
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Gothenburg, Sweden
    cPanel Access Level:
    DataCenter Provider
    Still having the same problem - running WHM 11.11.0 cPanel 11.15.0-R18404

    Any news?
     
  6. cPanelKenneth

    cPanelKenneth cPanel Development
    Staff Member

    Joined:
    Apr 7, 2006
    Messages:
    4,458
    Likes Received:
    22
    Trophy Points:
    38
    cPanel Access Level:
    Root Administrator
    Did you rebuild using the new build of EasyApache 3?
     
  7. internetfab

    internetfab Well-Known Member
    PartnerNOC

    Joined:
    Feb 20, 2003
    Messages:
    336
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Gothenburg, Sweden
    cPanel Access Level:
    DataCenter Provider
    I had hoped that an upcp had updated easyapache to the latest - unless it ain't in release yet?

    Ran upcp, then ran an easyapache.
     
  8. cPanelKenneth

    cPanelKenneth cPanel Development
    Staff Member

    Joined:
    Apr 7, 2006
    Messages:
    4,458
    Likes Received:
    22
    Trophy Points:
    38
    cPanel Access Level:
    Root Administrator
    EasyApache 3 always pulls down the latest updates each time you run it (whether via command line or WHM). Since your problem must not be among the ones we fixed, please open a support ticket for this issue at https://tickets.cpanel.net/submit/ so we can get this resolve ASAP.
     
  9. internetfab

    internetfab Well-Known Member
    PartnerNOC

    Joined:
    Feb 20, 2003
    Messages:
    336
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Gothenburg, Sweden
    cPanel Access Level:
    DataCenter Provider
    Yeah, Im right now updating a test server to the latest release and will file a ticket as soon as it is done. When running the faulty easyapache, php pages turn into 500 internal error until it's rolled back so can't keep testing on a live server.
     
  10. c0mr4de

    c0mr4de Member

    Joined:
    Sep 23, 2007
    Messages:
    12
    Likes Received:
    0
    Trophy Points:
    1
    Hmm..I ran easyapache yesterday using Release..with no problems at all..
     
  11. internetfab

    internetfab Well-Known Member
    PartnerNOC

    Joined:
    Feb 20, 2003
    Messages:
    336
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Gothenburg, Sweden
    cPanel Access Level:
    DataCenter Provider
    Yeah it runs fine on our testing server as well.
    Im holding off with submitting a ticket as the server that has the problem will break SLA if we keep on messing with it.
     
  12. internetfab

    internetfab Well-Known Member
    PartnerNOC

    Joined:
    Feb 20, 2003
    Messages:
    336
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Gothenburg, Sweden
    cPanel Access Level:
    DataCenter Provider
    Ah...

    I think Ive found the error. pdo_mysql is installed as a dynamic extension and Im trying to install it as a static as well :/

    Sorry guys.
     
  13. c0mr4de

    c0mr4de Member

    Joined:
    Sep 23, 2007
    Messages:
    12
    Likes Received:
    0
    Trophy Points:
    1
    Why do you wanna run Apache 2.x anyway? 1.3.x is the best release..
     
Loading...

Share This Page